AD(4)

NAME
ad - Data Translation A/D converter

SYNOPSIS
ad0 at uba0 csr 0170400 vector adintr

DESCRIPTION
NOTE: This driver has not been ported from 4.4BSD yet.

The ad driver provides an interface to the Data Translation A/D converter. This is not a real-time driver, but merely allows the user process to sample the board's channels one at a time. Each minor device selects a different A/D board.

The driver communicates to a user process by means of ioctl(2)s. The AD_CHAN ioctl(2) selects which channel of the board to read. For example,

    chan = 5;
    ioctl(fd, AD_CHAN, chan);

selects channel 5. The AD_READ ioctl(2) actually reads the data and returns it to the user process. An example is

    ioctl(fd, AD_READ, data);

FILES
/dev/ad

DIAGNOSTICS
None.

HISTORY
The ad driver appeared in 4.1BSD.